<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="31a899b9-6e2b-4a48-9586-106e7aca47b6" name="Default" comment="" />
    <ignored path="$PROJECT_DIR$/.tmp/" />
    <ignored path="$PROJECT_DIR$/temp/" />
    <ignored path="$PROJECT_DIR$/tmp/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file leaf-file-name="store.js" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/TaskLesson8/sort-ansvers/src/modules/store.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="28">
              <caret line="1" column="60" lean-forward="true" selection-start-line="1" selection-start-column="60" selection-end-line="1" selection-end-column="60" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="NodeModulesDirectoryManager">
    <handled-path value="$PROJECT_DIR$/TaskLesson3/load-more/node_modules" />
    <handled-path value="$PROJECT_DIR$/TaskLesson4/load-more-and-search/node_modules" />
    <handled-path value="$PROJECT_DIR$/TaskLesson5/life-cycle/node_modules" />
    <handled-path value="$PROJECT_DIR$/TaskLesson8/sort-ansvers/node_modules" />
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="824" />
    <option name="width" value="783" />
    <option name="height" value="877" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="ApikoAcademy" type="b2602c69:ProjectViewProjectNode" />
              <item name="ApikoAcademy" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ApikoAcademy" type="b2602c69:ProjectViewProjectNode" />
              <item name="ApikoAcademy" type="462c0819:PsiDirectoryNode" />
              <item name="TaskLesson8" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ApikoAcademy" type="b2602c69:ProjectViewProjectNode" />
              <item name="ApikoAcademy" type="462c0819:PsiDirectoryNode" />
              <item name="TaskLesson8" type="462c0819:PsiDirectoryNode" />
              <item name="sort-ansvers" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ApikoAcademy" type="b2602c69:ProjectViewProjectNode" />
              <item name="ApikoAcademy" type="462c0819:PsiDirectoryNode" />
              <item name="TaskLesson8" type="462c0819:PsiDirectoryNode" />
              <item name="sort-ansvers" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ApikoAcademy" type="b2602c69:ProjectViewProjectNode" />
              <item name="ApikoAcademy" type="462c0819:PsiDirectoryNode" />
              <item name="TaskLesson8" type="462c0819:PsiDirectoryNode" />
              <item name="sort-ansvers" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="modules" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope">
        <subPane subId="Project Files">
          <expand>
            <path>
              <item name="Root" type="cbb8eebc:String" user="Root" />
              <item name="ApikoAcademy" type="cbb8eebc:String" user="ApikoAcademy" />
            </path>
            <path>
              <item name="Root" type="cbb8eebc:String" user="Root" />
              <item name="ApikoAcademy" type="cbb8eebc:String" user="ApikoAcademy" />
              <item name="TaskLesson8" type="cbb8eebc:String" user="TaskLesson8" />
            </path>
            <path>
              <item name="Root" type="cbb8eebc:String" user="Root" />
              <item name="ApikoAcademy" type="cbb8eebc:String" user="ApikoAcademy" />
              <item name="TaskLesson8" type="cbb8eebc:String" user="TaskLesson8" />
              <item name="sort-ansvers" type="cbb8eebc:String" user="sort-ansvers" />
            </path>
            <path>
              <item name="Root" type="cbb8eebc:String" user="Root" />
              <item name="ApikoAcademy" type="cbb8eebc:String" user="ApikoAcademy" />
              <item name="TaskLesson8" type="cbb8eebc:String" user="TaskLesson8" />
              <item name="sort-ansvers" type="cbb8eebc:String" user="sort-ansvers" />
              <item name="src" type="cbb8eebc:String" user="src" />
            </path>
            <path>
              <item name="Root" type="cbb8eebc:String" user="Root" />
              <item name="ApikoAcademy" type="cbb8eebc:String" user="ApikoAcademy" />
              <item name="TaskLesson8" type="cbb8eebc:String" user="TaskLesson8" />
              <item name="sort-ansvers" type="cbb8eebc:String" user="sort-ansvers" />
              <item name="src" type="cbb8eebc:String" user="src" />
              <item name="modules" type="cbb8eebc:String" user="modules" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scratches" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="nodejs_interpreter_path" value="C:/Program Files/nodejs/node" />
    <property name="node.js.path.for.package.jscs" value="project" />
    <property name="node.js.detected.package.jscs" value="true" />
    <property name="node.js.selected.package.jscs" value="" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/TaskLesson8/sort-ansvers" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="ShelveChangesManager" show_recycled="false">
    <option name="remove_strategy" value="false" />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="31a899b9-6e2b-4a48-9586-106e7aca47b6" name="Default" comment="" />
      <created>1523819990532</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1523819990532</updated>
      <workItem from="1523819998364" duration="966000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="966000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1616" height="886" extended-state="6" />
    <layout>
      <window_info id="Project" active="true" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.21673004" sideWeight="0.5" order="0" side_tool="false" content_ui="combo" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="-1" side_tool="true" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="-1" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.20272109" sideWeight="0.5" order="-1" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="-1" side_tool="true" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager />
    <watches-manager />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/TaskLesson8/sort-ansvers/src/modules/store.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="28">
          <caret line="1" column="60" lean-forward="true" selection-start-line="1" selection-start-column="60" selection-end-line="1" selection-end-column="60" />
          <folding />
        </state>
      </provider>
    </entry>
  </component>
</project>